Subject: bug#21432: 25.0.50; file-notify-rm-watch (inotify) errors if watched dir is deleted

From: Eli Zaretskii <[email-masked]>
Date: Tue, 15 Sep 2015 11:22:40 +0300

> From: Michael Albinus <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Tue, 15 Sep 2015 10:00:10 +0200
> 
> > I guess the file-notify--test-with-events macro doesn't allow events
> > to come in on w32, but I have no idea how to debug this.
> 
> After loading file-notify-tests.el, trace-function for
> file-notify-handle-event, file-notify-callback,
> file-notify--test-event-handler. Run only file-notify-test04-file-validity.
> Show the trace buffer.

Here:

  ======================================================================
  1 -> (file-notify-handle-event (file-notify (100272320 added ".#-emacsa05420") file-notify-callback))
  | 2 -> (file-notify-callback (100272320 added ".#-emacsa05420"))
  | 2 <- file-notify-callback: nil
  1 <- file-notify-handle-event: nil
  ======================================================================
  1 -> (file-notify-handle-event (file-notify (100272320 modified ".#-emacsa05420") file-notify-callback))
  | 2 -> (file-notify-callback (100272320 modified ".#-emacsa05420"))
  | 2 <- file-notify-callback: nil
  1 <- file-notify-handle-event: nil

I'm confused: why does it mention a lock file instead of some file in
temporary-file-directory?  Is some variable missing a value?